availableIndexEntry_s Struct Reference

A single available item (e.g. More...

## Public Types

enum | indexEntryType { IET_PROVIDES =1 }

## Data Fields

alKey | pkgKey
const char * | entry
unsigned short | entryLen
unsigned short | entryIx
enum availableIndexEntry_s::indexEntryType | type

## Detailed Description

A single available item (e.g.

a Provides: dependency).

Definition at line 51 of file rpmal.c.

## Member Enumeration Documentation

enum availableIndexEntry_s::indexEntryType

Enumerator
IET_PROVIDES | A Provides: dependency.

Definition at line 58 of file rpmal.c.

## Field Documentation

const char* availableIndexEntry_s::entry

Dependency name.

Definition at line 55 of file rpmal.c.

Referenced by indexcmp(), rpmalAddProvides(), and rpmalAllSatisfiesDepend().

unsigned short availableIndexEntry_s::entryIx

Dependency index.

Definition at line 57 of file rpmal.c.

Referenced by rpmalAddProvides(), and rpmalAllSatisfiesDepend().

unsigned short availableIndexEntry_s::entryLen

No. of bytes in name.

Definition at line 56 of file rpmal.c.

Referenced by indexcmp(), rpmalAddProvides(), and rpmalAllSatisfiesDepend().

alKey availableIndexEntry_s::pkgKey

Containing package.

Definition at line 53 of file rpmal.c.

Referenced by rpmalAddProvides(), and rpmalAllSatisfiesDepend().

enum availableIndexEntry_s::indexEntryType availableIndexEntry_s::type

Type of available item.

Referenced by rpmalAddProvides(), and rpmalAllSatisfiesDepend().

The documentation for this struct was generated from the following file:

- lib/rpmal.c